# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

### Changed

### Deprecated

### Removed

### Fixed

### Security

## [v2.0.0]

### Added

- Added light and dark transparent themes [#18](https://github.com/egel/tmux-gruvbox/issues/18)
- Added editorconfig
- Added code linters for shellcheck & shfmt [#33](https://github.com/egel/tmux-gruvbox/issues/33)
- Added tests (for linux) [#39](https://github.com/egel/tmux-gruvbox/issues/39)
- Added customizable statusbar [#31](https://github.com/egel/tmux-gruvbox/issues/31)
- Added support for 16-bit colors palette light & dark [#34](https://github.com/egel/tmux-gruvbox/issues/34)
- Added migration guide v1 to v2 [#44](https://github.com/egel/tmux-gruvbox/issues/44)

### Changed

### Deprecated

### Removed

- Reduce repo weight by removing unused images [#41](https://github.com/egel/tmux-gruvbox/issues/41)

### Fixed

- Fixed incorrect spacings in template file
- Improved README with more examples
- Reduced repo size by outsource images to external platform [#36](https://github.com/egel/tmux-gruvbox/issues/36)

### Security

## [1.1.0]

### Added

- Added CHANGELOG file ([#9](https://github.com/egel/tmux-gruvbox/issues/9))
- Added theme installable through TPM ([#4](https://github.com/egel/tmux-gruvbox/issues/4))
- Added light-medium theme ([#3](https://github.com/egel/tmux-gruvbox/issues/3)]
- Added zoom indication when pane is maximiezed ([#17](https://github.com/egel/tmux-gruvbox/issues/17))

### Fixed

- Fixed spelling in the installation script ([#2](https://github.com/egel/tmux-gruvbox/issues/2))
- Fixed visual bugs in gruvbox dark theme after release of new tmux v2.9 ([#6](https://github.com/egel/tmux-gruvbox/issues/6))
- Fixed installation script by removing the no longer used `attr` from dark and light themes ([#15](https://github.com/egel/tmux-gruvbox/issues/15))

## [1.0.0] - 2016-07-26

### Added

- Added dark gruvbox colorscheme

[Unreleased]: https://github.com/egel/tmux-gruvbox/compare/v1.0.0...HEAD
[1.0.0]: https://github.com/egel/tmux-gruvbox/compare/v0.0.0...v1.0.0
[1.1.0]: https://github.com/egel/tmux-gruvbox/compare/v1.0.0...v1.1.0
[2.0.0]: https://github.com/egel/tmux-gruvbox/compare/v1.1.0...v2.0.0
